export default {
  data() {
    return {
      share: {
        title: "执业药师要上岸，免费题库来相伴！",
        path: "/pages/index/index",
        imageUrl: "https://kailin-mp.oss-cn-shenzhen.aliyuncs.com/static/index/doctor_share.png",
        desc: "简介",
      },
    };
  },
  // 分享到微信好友功能
  onShareAppMessage(res) {
    return {
      title: this.share.title,
      path: this.share.path,
      desc: this.share.desc,
      imageUrl: this.share.imageUrl,
      success(res) {
        uni.showToast({
          title: "分享成功",
        });
      },
      fail(res) {
        uni.showToast({
          title: "分享失败",
          icon: "none",
        });
      },
    };
  },
  // 分享到朋友圈功能
  onShareTimeline(res) {
    return {
      title: this.share.title,
      path: this.share.path,
      desc: this.share.desc,
      imageUrl: this.share.imageUrl,
      success(res) {
        uni.showToast({
          title: "分享成功",
        });
      },
      fail(res) {
        uni.showToast({
          title: "分享失败",
          icon: "none",
        });
      },
    };
  },
};
